package com.ruoyi.bst.channel.mapper;

import com.ruoyi.bst.channel.domain.Channel;
import com.ruoyi.bst.channel.domain.ChannelQuery;
import com.ruoyi.bst.channel.domain.ChannelVO;
import com.ruoyi.bst.channel.domain.vo.ChannelNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 充值渠道Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-15
 */
public interface ChannelMapper
{
    /**
     * 查询充值渠道
     *
     * @param channelId 充值渠道主键
     * @return 充值渠道
     */
    public ChannelVO selectChannelByChannelId(Long channelId);

    /**
     * 查询充值渠道列表
     *
     * @param query 充值渠道
     * @return 充值渠道集合
     */
    public List<ChannelVO> selectChannelList(@Param("query") ChannelQuery query);

    /**
     * 新增充值渠道
     *
     * @param channel 充值渠道
     * @return 结果
     */
    public int insertChannel(Channel channel);

    /**
     * 修改充值渠道
     *
     * @param channel 充值渠道
     * @return 结果
     */
    public int updateChannel(@Param("data") Channel channel);

    /**
     * 删除充值渠道
     *
     * @param channelId 充值渠道主键
     * @return 结果
     */
    public int deleteChannelByChannelId(Long channelId);

    /**
     * 批量删除充值渠道
     *
     * @param channelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChannelByChannelIds(Long[] channelIds);

    /**
     * 逻辑删除
     * @param ids
     * @return
     */
    int logicDel(@Param("ids") List<Long> ids);

    /**
     * 查询全部充值渠道名称列表
     */
    List<ChannelNameVO> selectNameList(@Param("query") ChannelQuery query);
}
